Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 812835 - Arquillian BOM set ShrinkWrap dependencies into runtime scope
Summary: Arquillian BOM set ShrinkWrap dependencies into runtime scope
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: Arquillian
Version: 2.0.0.ER3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 2.0.0.ER5
Assignee: Aslak Knutsen
QA Contact: Karel Piwko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-16 11:50 UTC by Karel Piwko
Modified: 2012-06-22 11:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-22 11:47:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Karel Piwko 2012-04-16 11:50:46 UTC
Description of problem:

When Arquillian BOM is used in den

Version-Release number of selected component (if applicable):

1.0.0.Final

How reproducible:

Always.

Steps to Reproduce:
1. Import arquillian-bom in <dependencyManagement>
2. Add Arquillian-junit-standalone into <dependencies>
  
Actual results:

ShrinkWrap artifact are in runtime scope, thus packaged with application WAR/EAR/JAR.

Expected results:

Everything is test-scoped.

Additional info:

Usability blocker. See following JIRAs for further information.

https://issues.jboss.org/browse/SHRINKWRAP-401
https://issues.jboss.org/browse/SHRINKDESC-117
https://issues.jboss.org/browse/SHRINKRES-33

Comment 1 Karel Piwko 2012-04-16 12:14:04 UTC
Note that SHRINKDESC and SHRINKRES are not a part of Arquillian WFK BOM.

Comment 2 Karel Piwko 2012-04-16 13:00:07 UTC
Description of problem:

When Arquillian BOM is used in <dependencyManagement> section, scope for ShrinkWrap dependecies is overridden to "runtime"

Comment 3 Karel Piwko 2012-04-23 13:00:48 UTC
Fixed in https://issues.jboss.org/browse/JBPAPP-8534.

Comment 4 Karel Piwko 2012-05-16 15:09:24 UTC
Verified.

Note that community version is still affected, however in WFK we have a special BOM file where this is fixed.

Comment 5 Karel Piwko 2012-06-22 11:47:45 UTC
This issue is fixed in WFK 2.0.0. WFK 2.0.0 has it's own BOM file.


Note You need to log in before you can comment on or make changes to this bug.